#!/bin/sh

echo "post-install"

CONTAINER_TEST=$(docker ps -a | grep Radarr | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	echo "Radarr container is there, remove it first."
	docker rm -f Radarr
fi

docker create -i -t --name=Radarr \
	-p 17878:7878 \
	-e PUID=999 -e PGID=999 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/Radarr/config:/config:rw \
	-v /volume1/Docker/Radarr/movies:/movies:rw \
	-v /volume1/Download:/downloads:rw \
	-v /volume1/Video:/videos:rw \
	-v /share:/shared:rw \
	--restart unless-stopped \
	linuxserver/radarr:latest

docker start Radarr

exit 0
